package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrPackage;
import com.abi.qms.platform.dao.vo.result.ActivePackageVO;
import com.abi.qms.platform.dao.vo.result.PackageActiveSearchVO;
import com.abi.qms.platform.dao.vo.result.QrPackageVO;
import com.abi.qms.platform.dao.vo.result.QrSingleCheckVO;
import com.abi.qms.platform.dto.req.ListActivePackageAddReq;
import com.abi.qms.platform.dto.req.ListQrPackageReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * 码包 Mapper接口
 *
 * @author WeiganCai
 * @date 2021-04-28
 */
public interface QrPackageMapper extends BaseMapper<QrPackage> {

	/**
	 * 分页查询码包信息
	 */
	IPage<QrPackageVO> listQrPackage(IPage page, ListQrPackageReq param);

	/**
	 * 查询码包详细信息
	 */
	QrPackageVO selectQrPackageDetailById(Long id);

	/**
	 * 通过码活动id查询关联码包列表
	 * @param page
	 * @param activeId
	 * @return
	 */
	IPage<ActivePackageVO> listPackageById(IPage page, @Param("id") Long activeId);

	/**
	 * 通过品牌code查询关联码包列表
	 * @param page
	 * @param req
	 * @return
	 */
	IPage<PackageActiveSearchVO> listPackageByBrandCode(IPage page, @Param("param") ListActivePackageAddReq req);

	/**
	 * 单码查询详细信息
	 */
	QrSingleCheckVO getQrSingleCheckDetailById(Long id);
}
